﻿using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;

public partial class _512842 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        update(0);
    }

    private void update(int LastClicked)
    {
        RadOrgChart1.DataTextField = "Label";
        RadOrgChart1.DataFieldID = "Id";
        RadOrgChart1.DataFieldParentID = "Parent";

        // The following code makes the event to be fired on every postback
        if (!IsPostBack)
        {
            var label = new Label();
            RadOrgChart1.Controls.Add(label);
            RadOrgChart1.Controls.Remove(label);
        }

        RadOrgChart1.DataSource = GetDataFromDatabase(LastClicked);
        RadOrgChart1.DataBind();
    }

    protected void ZoomToButton_OnClick(object sender, EventArgs e)
    {
        var button = (ImageButton)sender;
        button.CssClass = "hideImageButton";
    }

    private class FakeData
    {
        public string Label { get; set; }
        public int Id { get; set; }
        public int? Parent { get; set; }
        public string NotLastClicked { get; set; }
    }

    private List<FakeData> GetDataFromDatabase(int LastClicked)
    {

        List<FakeData> r = new List<FakeData>();
        r.Add(new FakeData { Label = "Parent", Id = 1, Parent = null, NotLastClicked = (LastClicked != 1) ? "showClass" : "hideClass" });
        r.Add(new FakeData { Label = "Node a", Id = 2, Parent = 1, NotLastClicked = (LastClicked != 2) ? "showClass" : "hideClass" });
        r.Add(new FakeData { Label = "Node b", Id = 3, Parent = 1, NotLastClicked = (LastClicked != 3) ? "showClass" : "hideClass" });
        r.Add(new FakeData { Label = "Node c", Id = 4, Parent = 1, NotLastClicked = (LastClicked != 4) ? "showClass" : "hideClass" });
        r.Add(new FakeData { Label = "Node d", Id = 5, Parent = 1, NotLastClicked = (LastClicked != 5) ? "showClass" : "hideClass" });

        return r;
    }
}